Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.construct.builder
Class ValidatorBuilder

    java.lang.Object
      org.mule.construct.builder.AbstractFlowConstructBuilder<T,F>
          org.mule.construct.builder.AbstractFlowConstructWithSingleInboundEndpointBuilder<T,F>
              org.mule.construct.builder.AbstractFlowConstructWithSingleInboundAndOutboundEndpointBuilder<ValidatorBuilder,Validator>
                  org.mule.construct.builder.ValidatorBuilder

    public class ValidatorBuilder

extends AbstractFlowConstructWithSingleInboundAndOutboundEndpointBuilder<ValidatorBuilder,Validator>

Field Summary
`protected String` | `ackExpression`
`protected String` | `errorExpression`
`protected String` | `nackExpression`
`protected Filter` | `validationFilter`

Fields inherited from class org.mule.construct.builder.AbstractFlowConstructWithSingleInboundAndOutboundEndpointBuilder
`outboundResponseTransformers, outboundTransformers`

Fields inherited from class org.mule.construct.builder.AbstractFlowConstructWithSingleInboundEndpointBuilder
`inboundResponseTransformers, inboundTransformers`

Fields inherited from class org.mule.construct.builder.AbstractFlowConstructBuilder
`exceptionListener, messageSource, name`

Constructor Summary
`ValidatorBuilder()`

Method Summary
`ValidatorBuilder` | `ackExpression(String ackExpression)`
`protected Validator` | `buildFlowConstruct(MuleContext muleContext)`
`ValidatorBuilder` | `errorExpression(String errorExpression)`
`protected MessageExchangePattern` | `getInboundMessageExchangePattern()`
`protected MessageExchangePattern` | `getOutboundMessageExchangePattern()`
`protected boolean` | `hasErrorExpression()`
`ValidatorBuilder` | `nackExpression(String nackExpression)`
`ValidatorBuilder` | `validationFilter(Filter validationFilter)`

Methods inherited from class org.mule.construct.builder.AbstractFlowConstructWithSingleInboundAndOutboundEndpointBuilder
`doConfigureOutboundEndpointBuilder, getOrBuildOutboundEndpoint, outboundAddress, outboundEndpoint, outboundEndpoint`

Methods inherited from class org.mule.construct.builder.AbstractFlowConstructWithSingleInboundEndpointBuilder
`doConfigureInboundEndpointBuilder, getOrBuildInboundEndpoint, inboundAddress, inboundEndpoint, inboundEndpoint`

Methods inherited from class org.mule.construct.builder.AbstractFlowConstructBuilder
`addExceptionListener, build, buildAndRegister, exceptionStrategy, messageSource, name`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### validationFilter

    protected Filter validationFilter

### ackExpression

    protected String ackExpression

### nackExpression

    protected String nackExpression

### errorExpression

    protected String errorExpression

Constructor Detail

### ValidatorBuilder

    public ValidatorBuilder()

Method Detail

### validationFilter

    public ValidatorBuilder validationFilter(Filter validationFilter)

### ackExpression

    public ValidatorBuilder ackExpression(String ackExpression)

### nackExpression

    public ValidatorBuilder nackExpression(String nackExpression)

### errorExpression

    public ValidatorBuilder errorExpression(String errorExpression)

### getInboundMessageExchangePattern

    protected MessageExchangePattern getInboundMessageExchangePattern()

  Specified by:
    `getInboundMessageExchangePattern` in class `AbstractFlowConstructWithSingleInboundEndpointBuilder<ValidatorBuilder,Validator>`

### getOutboundMessageExchangePattern

    protected MessageExchangePattern getOutboundMessageExchangePattern()

  Specified by:
    `getOutboundMessageExchangePattern` in class `AbstractFlowConstructWithSingleInboundAndOutboundEndpointBuilder<ValidatorBuilder,Validator>`

### buildFlowConstruct

    protected Validator buildFlowConstruct(MuleContext muleContext)
                                    throws MuleException

  Specified by:
    `buildFlowConstruct` in class `AbstractFlowConstructBuilder<ValidatorBuilder,Validator>`
  Throws:
    `MuleException`

### hasErrorExpression

    protected boolean hasErrorExpression()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.